using Interfaces;

namespace UdpNotifier
{
    public class UdpNotifierProviderFactory : INotifierProviderFactory
    {
        private ILoggerService _logger;

        public UdpNotifierProviderFactory(ILoggerService logger)
        {
            _logger = logger;
        }

        public INotifierProvider GetProvider()
        {
            return new UdpNotifierProvider(_logger);
        }

        public new string GetType()
        {
            return "UdpNotifierProviderFactory";
        }
    }
}
